/******************************************************************************
** This data and information is proprietary to, and a valuable trade secret
** of, Basis Technology Corp.  It is given in confidence by Basis Technology
** and may only be used as permitted under the license agreement under which
** it has been distributed, and in no other way.
**
** Copyright (c) 2007-2008 Basis Technology Corp. All rights reserved.
**
** The technical data and information provided herein are provided with
** `limited rights', and the computer software provided herein is provided
** with `restricted rights' as those terms are defined in DAR and ASPR
** 7-104.9(a).
******************************************************************************/
package com.basistech.rlp.lucene;

/**
 * A {@link RuntimeException} from the RLP Lucene integration classes.
 */
public class RLPLuceneException extends RuntimeException {
	private static final long serialVersionUID = 8142272956135625854L;

        /**
         * Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to {@link Throwable#initCause(Throwable)}.
         * @param message The detail message. The detail message is saved for later retrieval by the {@link Throwable#getMessage()} method.
         */
        public RLPLuceneException(String message) {
		super(message);
	}
	
        /**
         * Constructs a new runtime exception with the specified cause and a detail message (which typically contains the class and detail message of cause). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables. 
         * @param cause the cause (which is saved for later retrieval by the {@link Throwable#getCause()} method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
         */
	public RLPLuceneException(Throwable cause){
		super(cause);
	}

        /**
         * Constructs a new runtime exception with the specified detail message and cause. 
         * 
         * Note that the detail message associated with cause is not automatically incorporated in this runtime exception's detail message. 
         *
         * @param message The detail message. The detail message is saved for later retrieval by the {@link Throwable#getMessage()} method.
         * @param cause The cause (which is saved for later retrieval by the {@link Throwable#getCause()} method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
         */
	public RLPLuceneException(String message, Throwable cause){
		super(message, cause);
	}
}
